Subject: Draft IETF TRADE Minutes from Minneapolis
From: Eastlake III Donald-LDE008 <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Mon, 17 Nov 2003 17:39:41 -0500
List-Id: <ietf-trade.lists.elistx.com>

TRADE WG Minutes, IETF 58 Minneapolis
Donald E. Eastlake 3rd

Attendance at the meeting was very poor. In the end, there were six names on the blue sheets.

All of the slides were not gone through. Instead there was primarily a discussion of the following issues:

-- Should the draft-ietf-trade-srv-higher-services-01.txt and draft-ietf-trade-iotp-http2-00.txt be changed to use S-NAPTR as described in draft-daigle-napstr-03.txt instead of SRV?

This avoids the problem of an explosion in the number of names to look up for a service available over multiple transports. On the other hand, it could conceivably be a problem if enough different services used that technique at a single FQDN.

The consensus of the room was to change to using S-NAPTR.

-- In light of the very low activity on the TRADE WG Mailing List and very low attendance at the WG meeting at this and the previous IETF Meeting, should the working group be dissolved sooner rather than later and these last two drafts be processed as personal submissions rather than WG documents?

This is primarily for the Ned Freed, the area director for TRADE, to decide in consultation with the chair.

Attendees: Donald Eastlake (TRADE WG chair), Ted Hardie (Applications co-AD), Leslie Daigle (IAB member), Andrew Newton, Mike Ko, Scott Bradner (IAB member). 

Date: Mon, 10 Nov 2003 10:41:15 -0500 (EST)
From: Donald Eastlake 3rd <[email-masked]>
Subject: I-D ACTION:draft-ietf-trade-srv-higher-services-01.txt
To: [email-masked]

Date: Thu, 06 Nov 2003 09:26:15 -0500
From: [email-masked]
To: IETF-Announce:  ;
Cc: [email-masked]
Subject: I-D ACTION:draft-ietf-trade-srv-higher-services-01.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Open Trading Protocol Working Group of the IETF.

	Title		: DNS SRV Location of Higher Level Services
	Author(s)	: D. Eastlake
	Filename	: draft-ietf-trade-srv-higher-services-01.txt
	Pages		: 7
	Date		: 2003-11-5

DNS naming conventions specified in RFC 2782 are extended to higher
level services and a registry created for the tokens used.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-trade-srv-higher-services-01.txt

To remove yourself from the IETF Announcement list, send a message to
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-trade-srv-higher-services-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-trade-srv-higher-services-01.txt".

NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Content-return: allowed
Date: Wed, 05 Nov 2003 14:46:27 -0500
From: Eastlake III Donald-LDE008 <[email-masked]>
Subject: draft-ietf-trade-srv-higher-services-01.txt
To: "[email-masked]'" <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

--Boundary_(ID_rZof3dbenpQult+J88/WGg)
Content-type: text/plain

Attached is the updated SRV RR for higher services draft. As I mentioned,
this was sent in in time and should still get posted.

Thanks,
Donald

PS: The attachement is really a text file. If your software is bothered
by it not having a ".txt" extension, just save it and rename it.
======================================================================
 Donald E. Eastlake 3rd                       [email-masked]
 155 Beaver Street              +1-508-634-2066(h) +1-508-786-7554(w)
 Milford, MA 01757 USA                   [email-masked]

--Boundary_(ID_rZof3dbenpQult+J88/WGg)
Content-id: <[email-masked]>
Content-type: TEXT/PLAIN; name=SRV.16fftoc
Content-transfer-encoding: BASE64
Content-disposition: attachment; filename=SRV.16fftoc

--Boundary_(ID_rZof3dbenpQult+J88/WGg)--

Content-return: allowed
Date: Tue, 04 Nov 2003 16:59:00 -0500
From: Eastlake III Donald-LDE008 <[email-masked]>
Subject: Draft Agenda for Meeting in Minneapolis, etc.
To: "[email-masked]'" <[email-masked]>

The Agenda for the 58th IETF meeting in Minneapolis next
week is final now and the TRADE WG meeting is 1545 to
1645 Tuesday afternoon, November 11th. While it is still Possible that would change, it is very unlikely.

An updated version of the draft-ietf-trade-srv-higher-services
draft was submitted in time but was apparently one of a
handful of drafts out of the 900 or so processed that was overlooked. It should still get posted before the meeting. In the mean time I'll send out a copy to the list.

If you have suggestions for changes to the agenda, please
get back to me immediately if you want them to have a chance
of getting into the published agenda. (Changes can always be made at the meeting.)

Thanks,
Donald

TRADE WG Draft Agenda, Minneapolis IETF Meeting
TUESDAY, November 11, 2003

15:45   Agenda Bashing

15:50   Documents Status
	IOTP Update, RFC 3538
		draft-ietf-trade-iotp-v1.0-papi-05.txt
	ECML Update
		draft-ietf-trade-ecml2-spec-08.txt
	Voucher Update
		draft-ietf-trade-voucher-lang-05.txt
		draft-ietf-trade-voucher-vtsapi-05.txt

16:00   IOTP use of DNS SRV RR
		draft-ietf-treade-http2-00.txt
		draft-ietf-trade-srv-higher-services-00.txt

16:25   IOTP v2, the search for authors
		RFC 3354

16:35   Future Actions/Meetings
========================================================
Donald E. Eastlake 3rd, Motorola Laboratories,
111 Locke Drive, Marlboro, MA 01752 USA
[email-masked]
1-508-786-7554

Date: Mon, 03 Nov 2003 21:38:55 -0500 (EST)
From: Donald Eastlake 3rd <[email-masked]>
Subject: Last Call: 'XML Voucher: Generic Voucher Language' to Proposed Standard  (fwd)
To: [email-masked]

---------- Forwarded message ----------
Date: Mon, 03 Nov 2003 11:27:19 -0500
From: The IESG <[email-masked]>
Reply-To: [email-masked]
To: IETF-Announce:  ;
Cc: [email-masked]
Subject: Last Call: 'XML Voucher: Generic Voucher Language' to Proposed
         Standard

The IESG has received a request from the Internet Open Trading Protocol WG t

consider the following document:

- 'XML Voucher: Generic Voucher Language '
   <draft-ietf-trade-voucher-lang-05.txt> as a Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2003-12-01.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-trade-voucher-lang-05.txt

Date: Mon, 03 Nov 2003 21:38:37 -0500 (EST)
From: Donald Eastlake 3rd <[email-masked]>
Subject: Last Call: 'Electronic Commerce Modeling Language (ECML):Version 2 Specification' to Proposed Standard  (fwd)
To: [email-masked]

I still don't know why these messages are not getting through to the
list...
---------- Forwarded message ----------
Date: Mon, 03 Nov 2003 11:35:35 -0500
From: The IESG <[email-masked]>
Reply-To: [email-masked]
To: IETF-Announce:  ;
Cc: [email-masked]
Subject: Last Call: 'Electronic Commerce Modeling Language (ECML):Version 2
             Specification' to Proposed Standard

The IESG has received a request from the Internet Open Trading Protocol WG t

consider the following document:

- 'Electronic Commerce Modeling Language (ECML):Version 2 Specification '
   <draft-ietf-trade-ecml2-spec-08.txt> as a Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send any comments to the
[email-masked] or [email-masked] mailing lists by 2003-12-01.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-trade-ecml2-spec-08.txt